# Uses of Interface co.aikar.commands.RootCommand (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, interface: RootCommand

# Uses of Interface
co.aikar.commands.RootCommand

Packages that use RootCommand
Package
Description
co.aikar.commands

## Uses of RootCommand in co.aikar.commands

Fields in co.aikar.commands with type parameters of type RootCommand
Modifier and Type
Field
Description
`protected Map<String,RootCommand>`
CommandManager.`rootCommands`
Methods in co.aikar.commands that return RootCommand
Modifier and Type
Method
Description
`abstract RootCommand`
CommandManager.`createRootCommand(String cmd)`
`RootCommand`
CommandManager.`getRootCommand(@NotNull String cmd)`
`RootCommand`
CommandManager.`obtainRootCommand(@NotNull String cmd)`
Methods in co.aikar.commands that return types with arguments of type RootCommand
Modifier and Type
Method
Description
`abstract Collection<RootCommand>`
CommandManager.`getRegisteredRootCommands()`
Methods in co.aikar.commands with parameters of type RootCommand
Modifier and Type
Method
Description
`CommandHelp`
CommandManager.`generateCommandHelp(CommandIssuer issuer, RootCommand rootCommand)`
Deprecated.
Unstable API
`List<String>`
ForwardingCommand.`tabComplete(CommandIssuer issuer, RootCommand rootCommand, String[] args, boolean isAsync)`
Constructors in co.aikar.commands with parameters of type RootCommand
Modifier
Constructor
Description
``
`CommandHelp(CommandManager manager, RootCommand rootCommand, CommandIssuer issuer)`